### Constructor

# Gdk Cursor new_from_name

#### Declaration [src]

    GdkCursor*
    gdk_cursor_new_from_name (
      const char* name,
      GdkCursor* fallback
    )

#### Description [src]

Creates a new cursor by looking up `name` in the current cursor theme.

A recommended set of cursor names that will work across different platforms can be found in the CSS specification:

| “none” | No cursor
| “default” | The default cursor
| “help” | Help is available
| “pointer” | Indicates a link or interactive element
| “context-menu” | A context menu is available
| “progress” | Progress indicator
| “wait” | Busy cursor
| “cell” | Cell(s) may be selected
| “crosshair” | Simple crosshair
| “text” | Text may be selected
| “vertical-text” | Vertical text may be selected
| “alias” | DND: Something will be linked
| “copy” | DND: Something will be copied
| “move” | DND: Something will be moved
| “dnd-ask” | DND: User can choose action to be carried out
| “no-drop” | DND: Can’t drop here
| “not-allowed” | DND: Action will not be carried out
| “grab” | DND: Something can be grabbed
| “grabbing” | DND: Something is being grabbed
| “n-resize” | Resizing: Move north border
| “e-resize” | Resizing: Move east border
| “s-resize” | Resizing: Move south border
| “w-resize” | Resizing: Move west border
| “ne-resize” | Resizing: Move north-east corner
| “nw-resize” | Resizing: Move north-west corner
| “sw-resize” | Resizing: Move south-west corner
| “se-resize” | Resizing: Move south-east corner
| “col-resize” | Resizing: Move an item or border horizontally
| “row-resize” | Resizing: Move an item or border vertically
| “ew-resize” | Moving: Something can be moved horizontally
| “ns-resize” | Moving: Something can be moved vertically
| “nesw-resize” | Moving: Something can be moved diagonally, north-east to south-west
| “nwse-resize” | Moving: something can be moved diagonally, north-west to south-east
| “all-resize” | Moving: Something can be moved in any direction
| “all-scroll” | Can scroll in any direction
| “zoom-in” | Zoom in
| “zoom-out” | Zoom out

#### Parameters

`name`

  Type: `const char*`

  The name of the cursor.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`fallback`

  Type: `GdkCursor`

  `NULL` or the `GdkCursor` to fall back to when this one cannot be supported.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GdkCursor`

A new `GdkCursor`, or `NULL` if there is no cursor with the given name.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.